Last modified: 2014-09-27 23:02:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 68299 - Allow change of interface language
Allow change of interface language
Status: RESOLVED WONTFIX
Product: Wikipedia App
Classification: Unclassified
Android App (Other open bugs)
Stable
All All
: Unprioritized enhancement
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 32578 56295
  Show dependency treegraph
 
Reported: 2014-07-20 17:23 UTC by Florian
Modified: 2014-09-27 23:02 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Florian 2014-07-20 17:23:47 UTC
Request from: https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=7655611

If the users language isn't pretty good as phone language (maybe of badly or not fully translated) the user can not use the translated interface of the Wikipedia App (it's only possible to change interface language when you change the phone language). Suggestion: Set phone language as default, but enable to change it in settings.
Comment 1 Yuvi Panda 2014-08-24 02:55:04 UTC
This is fairly technically hard to do, since we just use Android's default i18n system, which, afaik, does not allow you to programmatically set the language (I'll be happy to be proven wrong). This means that the only way to implement this is to implement our own i18n system, which is... hard.
Comment 2 Sundar 2014-08-29 11:15:13 UTC
(In reply to Yuvi Panda from comment #1)
> This is fairly technically hard to do, since we just use Android's default
> i18n system, which, afaik, does not allow you to programmatically set the
> language (I'll be happy to be proven wrong). This means that the only way to
> implement this is to implement our own i18n system, which is... hard.

Oh, I see.
Comment 3 Dan Garry 2014-09-27 23:02:42 UTC
Per Yuvi's explanation, I'm going to WONTFIX this bug. We can always revisit this in the future, but this isn't on the table right now.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links